resource_rules:
  issues:
    rules:
      - name: Add missing tech stack labels to issues ready for development
        conditions:
          state: opened
          labels:
            - "group::security insights"
            - "workflow::ready for development"
          forbidden_labels:
            - backend
            - frontend
            - docs-only
          ruby: resource[:assignees].empty?
        actions:
          comment: |
            This issue made it to ~"workflow::ready for development" without the addition of a ~"frontend" or ~"backend" tech stack label. Both will be assigned as a result.
            [Bot policy](https://gitlab.com/gitlab-org/quality/triage-ops/-/blob/master/policies/groups/gitlab-org/security-insights/tech-stack-label.yml).
          labels:
            - backend
            - frontend
